Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TiXmlVisitor Class Reference

`#include <tinyxml.h>`

## Public Member Functions
virtual | ~TiXmlVisitor ()
virtual bool | VisitEnter (const TiXmlDocument &)
| Visit a document. More...
virtual bool | VisitExit (const TiXmlDocument &)
| Visit a document. More...
virtual bool | VisitEnter (const TiXmlElement &, const TiXmlAttribute *)
| Visit an element. More...
virtual bool | VisitExit (const TiXmlElement &)
| Visit an element. More...
virtual bool | Visit (const TiXmlDeclaration &)
| Visit a declaration. More...
virtual bool | Visit (const TiXmlText &)
| Visit a text node. More...
virtual bool | Visit (const TiXmlComment &)
| Visit a comment node. More...
virtual bool | Visit (const TiXmlUnknown &)
| Visit an unknown node. More...

## Detailed Description

Implements the interface to the "Visitor pattern" (see the Accept() method.) If you call the Accept() method, it requires being passed a TiXmlVisitor class to handle callbacks. For nodes that contain other nodes (Document, Element) you will get called with a VisitEnter/VisitExit pair. Nodes that are always leaves are simply called with Visit().

If you return 'true' from a Visit method, recursive parsing will continue. If you return false, no children of this node or its sibilings will be Visited.

All flavors of Visit methods have a default implementation that returns 'true' (continue visiting). You need to only override methods that are interesting to you.

Generally Accept() is called on the TiXmlDocument, although all nodes suppert Visiting.

You should never change the document from a callback.

See also
  TiXmlNode::Accept()

## Constructor & Destructor Documentation

virtual ~TiXmlVisitor | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual bool Visit | ( | const TiXmlDeclaration & |  | ) |
| inline virtual

Visit a declaration.

virtual bool Visit | ( | const TiXmlText & |  | ) |
| inline virtual

Visit a text node.

virtual bool Visit | ( | const TiXmlComment & |  | ) |
| inline virtual

Visit a comment node.

virtual bool Visit | ( | const TiXmlUnknown & |  | ) |
| inline virtual

Visit an unknown node.

virtual bool VisitEnter | ( | const TiXmlDocument & |  | ) |
| inline virtual

Visit a document.

virtual bool VisitEnter | ( | const TiXmlElement & | ,
|  | const TiXmlAttribute * |
| ) |  |
| inline virtual

Visit an element.

virtual bool VisitExit | ( | const TiXmlDocument & |  | ) |
| inline virtual

Visit a document.

virtual bool VisitExit | ( | const TiXmlElement & |  | ) |
| inline virtual

Visit an element.

The documentation for this class was generated from the following file:

- persistence/tinyXML/tinyxml.h